diff -u e2fsprogs-1.38+1.39-WIP-2005.12.31/debian/control e2fsprogs-1.38+1.39-WIP-2005.12.31/debian/control
--- e2fsprogs-1.38+1.39-WIP-2005.12.31/debian/control
+++ e2fsprogs-1.38+1.39-WIP-2005.12.31/debian/control
@@ -2,7 +2,7 @@
 Section: admin
 Priority: required
 Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
-Build-Depends: texi2html, gettext, texinfo, dc, debhelper (>= 4)
+Build-Depends: texi2html, gettext, texinfo, dc, debhelper (>= 5.0.22)
 Standards-Version: 3.6.1
 
 Package: e2fsck-static
@@ -90,6 +90,7 @@
  for more information.
 
 Package: libuuid1-udeb
+XC-Package-Type: udeb
 Section: debian-installer
 Priority: optional
 Depends: ${shlibs:Depends}
@@ -137,6 +138,7 @@
  system instead.
 
 Package: libblkid1-udeb
+XC-Package-Type: udeb
 Section: debian-installer
 Priority: optional
 Depends: ${shlibs:Depends}
@@ -166,6 +168,7 @@
  This package contains the development environment for the blkid library.
 
 Package: e2fsprogs-udeb
+XC-Package-Type: udeb
 Section: debian-installer
 Priority: optional
 Depends: ${shlibs:Depends}
only in patch2:
unchanged:
--- e2fsprogs-1.38+1.39-WIP-2005.12.31.orig/debian/rules
+++ e2fsprogs-1.38+1.39-WIP-2005.12.31/debian/rules
@@ -49,15 +49,6 @@
 MANDIR=/usr/share/man
 mandir=${tmpdir}${MANDIR}
 
-UDEB_NAME = $(package)-udeb_$(MAIN_VERSION)_$(DEB_HOST_ARCH).udeb
-UDEB_PRIORITY = $(shell grep '^Package: e2fsprogs-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)
-
-BLKID_UDEB_NAME = libblkid1-udeb_$(MAIN_VERSION)_$(DEB_HOST_ARCH).udeb
-BLKID_UDEB_PRIORITY = $(shell grep '^Package: libblkid1-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)
-
-UUID_UDEB_NAME = libuuid1-udeb_$(MAIN_VERSION)_$(DEB_HOST_ARCH).udeb
-UUID_UDEB_PRIORITY = $(shell grep '^Package: libuuid1-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)
-
 STAMPSDIR=debian/stampdir
 CFGSTDSTAMP=${STAMPSDIR}/configure-std-stamp
 CFGBFSTAMP=${STAMPSDIR}/configure-bf-stamp
@@ -316,7 +307,7 @@
 	$(INSTALL) -p -m 0644 debian/libblkid.copyright \
 		${debdir}/libblkid${BLKID_SOVERSION}/usr/share/doc/libblkid${BLKID_SOVERSION}/copyright
 
-	dh_installdocs -Ne2fsprogs-udeb -Nlibblkid1-udeb -Nlibuuid1-udeb
+	dh_installdocs
 
   # HTML docs
 	$(INSTALL) -d ${debdir}/e2fslibs-dev/usr/share/doc/e2fslibs/html-info/
@@ -363,7 +354,9 @@
 	dh_compress
 	dh_fixperms
 
-	dh_makeshlibs -Ne2fsprogs-udeb -Nlibblkid1-udeb -Nlibuuid1-udeb
+	dh_makeshlibs
+	dh_makeshlibs -plibblkid${BLKID_SOVERSION} --add-udeb="libblkid${BLKID_SOVERSION}-udeb"
+	dh_makeshlibs -plibuuid${UUID_SOVERSION} --add-udeb="libuuid${UUID_SOVERSION}-udeb"
 	dh_makeshlibs -plibcomerr${COMERR_SOVERSION} \
 		-V 'libcomerr2 (>= 1.33-3)'
 
@@ -374,8 +367,7 @@
 	dh_shlibdeps -pe2fsprogs-udeb -l${stdbuilddir}/lib \
 		-u"-Ldebian/e2fsprogs-udeb.shlibs.local"
 
-	dh_gencontrol -Ncomerr-dev -Nss-dev -Nuuid-dev \
-		-Ne2fsprogs-udeb -Nlibblkid1-udeb -Nlibuuid1-udeb
+	dh_gencontrol -Ncomerr-dev -Nss-dev -Nuuid-dev
 	DH_OPTIONS= dh_gencontrol -pcomerr-dev \
 	  -u '-v${COMERR_VERSION}-${MAIN_VERSION}'
 	DH_OPTIONS= dh_gencontrol -pss-dev \
@@ -383,21 +375,8 @@
 	DH_OPTIONS= dh_gencontrol -puuid-dev \
 	  -u '-v${UUID_VERSION}-${MAIN_VERSION}'
 
-	dh_md5sums -Ne2fsprogs-udeb -Nlibblkid1-udeb -Nlibuuid1-udeb
-	dh_builddeb -Ne2fsprogs-udeb -Nlibblkid1-udeb -Nlibuuid1-udeb
-
-	# udeb stuff
-	dh_gencontrol	-pe2fsprogs-udeb -- -fdebian/files~
-	dpkg-distaddfile $(UDEB_NAME) debian-installer $(UDEB_PRIORITY)
-	dh_builddeb -pe2fsprogs-udeb --filename=$(UDEB_NAME)
-
-	dh_gencontrol	-plibblkid1-udeb -- -fdebian/files~
-	dpkg-distaddfile $(BLKID_UDEB_NAME) debian-installer $(BLKID_UDEB_PRIORITY)
-	dh_builddeb -plibblkid1-udeb --filename=$(BLKID_UDEB_NAME)
-
-	dh_gencontrol	-plibuuid1-udeb -- -fdebian/files~
-	dpkg-distaddfile $(UUID_UDEB_NAME) debian-installer $(UUID_UDEB_PRIORITY)
-	dh_builddeb -plibuuid1-udeb --filename=$(UUID_UDEB_NAME)
+	dh_md5sums
+	dh_builddeb
 
 binary: binary-indep binary-arch
 
only in patch2:
unchanged:
--- e2fsprogs-1.38+1.39-WIP-2005.12.31.orig/debian/compat
+++ e2fsprogs-1.38+1.39-WIP-2005.12.31/debian/compat
@@ -1 +1 @@
-4
+5
